R: KEYBD_1.PLT               RTC = 9-19655
R: Last Revised: 9/1/91



*TOP
TX:
T:
        This module will test the new \%KEYBD variable.  It may be used
        to detect key presses while executing PILOT statements other than
        ACCEPT.  In effect, it becomes an ON: KEY \%KEYBD, meaning on the
        occurrence of a key press, set \%KEYBD equal to the uppercase 
        ASCII value of the key pressed.  Likewise, it acts like an
        omni-present, single-character ACCEPT.  However, it does not store
        the value in the AcceptBuffer.  Non-ASCII key presses will set
        \%KEYBD to the null character.
T:
        Following is a brief demo using \%KEYBD.

C: %KEYBD=

TH:     Press any ASCII key to continue...

*PAUSE
J(%KEYBD=): PAUSE

C: $value=Z
C: %KEYBD=$value
TX:
T:
        First we set \%KEYBD = $value.

T:
        Then we will enter a loop, exiting only when a key other
        than \%KEYBD is pressed.

W: 75

*LOOP
T:                      Looping with \%KEYBD = %KEYBD
J(%KEYBD<>$value): OUT
J: LOOP

*OUT
T:
        Now \%KEYBD = %KEYBD
T:
        If everything operated, properly, we should arrive here
        once any key other than '$value' was pressed.

TH: Now, press 'C' to continue, any other key (except 'Z') to quit 

C: %KEYBD=Z

*WAIT
J(%KEYBD=Z): WAIT
T:
        Now \%KEYBD = %KEYBD
W: 20
J(%KEYBD=C): TOP
T:
        And since %KEYBD is not equal to 'C', we will quit...
W: 20
E:
